Subject: Re: Strange CPU load when flushing route cache (kernel 2.6.31.6)

From: Eric Dumazet <[email-masked]>
Date: Mon, 23 Nov 2009 14:25:21 +0100

Jesper Dangaard Brouer a écrit :
> On Mon, 2009-11-23 at 11:29 +0100, Eric Dumazet wrote:

>> Sure, after a flush, we have to rebuild the cache, so extra work is expected.
> 
> But the old 2.6.25.7 do NOT show this behavior... That is the real
> issue...

Previous kernels were crashing, because flush was immediate and not deferred
as today.

During flush, we were dropping enormous amounts of packets.

Now, its possible to have setups with equilibrium and no packet loss,
because we smoothtly invalidate cache entries.

> I did the cache flushing due to some historical issues, that I think you
> did a fix for... Guess I can drop the flushing and see if the garbage
> collection can keep up...

Yes it can. Unless your route cache settings are not optimal.

> 
>> Do you run a 2G/2G User/Kernel split kernel ?
> 
> Not sure, how do I check?

grep LowTotal /proc/meminfo

or

dmesg | grep LOWMEM
913MB LOWMEM available.   (standard 3G/1G User/Kernel split)